Name:       perl-MooseX-Types 
Version:        0.10
Release:        1%{?dist}
# see Makefile.PL, lib/MooseX/Types.pm
License:    GPL+ or Artistic 
Group:      Development/Libraries
Summary:    Organise your Moose types in libraries 
#Source:     http://search.cpan.org/CPAN/authors/id/P/PH/PHAYLON/MooseX-Types-%{version}.tar.gz 
Source:     http://search.cpan.org/CPAN/authors/id/J/JJ/JJNAPIORK/MooseX-Types-%{version}.tar.gz
Url:        http://search.cpan.org/dist/MooseX-Types
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker) 
BuildRequires: perl(Carp)
BuildRequires: perl(Carp::Clan)
BuildRequires: perl(FindBin)
BuildRequires: perl(Moose) >= 0.61
BuildRequires: perl(namespace::clean) >= 0.08
BuildRequires: perl(Sub::Install) >= 0.924
# tests
BuildRequires: perl(Test::More) >= 0.62
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Sub::Exporter)


%description
The types provided with the Moose manpage are by design global. This
package helps you to organise and selectively import your own and the
built-in types in libraries. As a nice side effect, it catches typos at
compile-time too.

However, the main reason for this module is to provide an easy way to not
have conflicts with your type names, since the internal fully qualified
names of the types will be prefixed with the library's name.

This module will also provide you with some helper functions to make it
easier to use Moose types in your code.

%prep
%setup -q -n MooseX-Types-%{version}

# make sure doc/tests don't generate provides
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} `perl -p -e 's|\S+%{_docdir}/%{name}-%{version}\S+||'`
EOF

%define __perl_provides %{_builddir}/MooseX-Types-%{version}/%{name}-prov
chmod +x %{__perl_provides}

cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} `perl -p -e 's|\S+%{_docdir}/%{name}-%{version}\S+||'`
EOF

%define __perl_requires %{_builddir}/MooseX-Types-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Thu Apr 02 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.10-1
- update to 0.10

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 30 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.08-2
- add br on Test::Exception

* Tue Dec 30 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.08-1
- update to 0.08

* Mon Nov 10 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.07-1
- update to 0.07, adjust BR accordingly.  Note especially dep on Moose >= 0.61

* Sun Oct 12 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.04-2
- bump

* Tue Oct 07 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.04-1
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.1)

